aboutsummaryrefslogtreecommitdiffstats
path: root/main/xen
diff options
context:
space:
mode:
authorLinus Swälas <linus.swalas@borderless.se>2016-10-05 23:09:45 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-10-19 16:28:01 +0000
commit711e09ea9e37d185e8cb6c8420f5779c26ea7a30 (patch)
treef98b744b0ee5e51f5f551fef33d4f287a83d37a4 /main/xen
parentca8290f361b85a24018a46e6f0bb8f87b29af9b9 (diff)
downloadaports-711e09ea9e37d185e8cb6c8420f5779c26ea7a30.tar.bz2
aports-711e09ea9e37d185e8cb6c8420f5779c26ea7a30.tar.xz
main/xen: Fixes for missing transaction in xenstore_client.c.
Recent kernel updates makes xenstore-read return ESRCH due to not having a transaction in progress when talking to xenbus, this makes sure that a transaction is always in place.
Diffstat (limited to 'main/xen')
-rw-r--r--main/xen/APKBUILD7
-rw-r--r--main/xen/APKBUILD.orig456
-rw-r--r--main/xen/xenstore_client_transaction_fix.patch144
3 files changed, 606 insertions, 1 deletions
diff --git a/main/xen/APKBUILD b/main/xen/APKBUILD
index f415279c5b..e3f2b1a751 100644
--- a/main/xen/APKBUILD
+++ b/main/xen/APKBUILD
@@ -3,7 +3,7 @@
# Maintainer: William Pitcock <nenolod@dereferenced.org>
pkgname=xen
pkgver=4.7.0
-pkgrel=3
+pkgrel=4
pkgdesc="Xen hypervisor"
url="http://www.xen.org/"
arch="x86_64 armhf"
@@ -92,6 +92,8 @@ source="http://bits.xensource.com/oss-xen/release/$pkgver/$pkgname-$pkgver.tar.g
xen-hotplug-lockfd.patch
xen-fd-is-file.c
+ xenstore_client_transaction_fix.patch
+
patch-gcc6-etherboot-nonnull-compare.patch::https://git.ipxe.org/ipxe.git/patch/e2f14c2f8c10674dbbd4f1228d79dc4c9be213b5
patch-gcc6-etherboot-rm-unused-string-functions.patch
patch-gcc6-etherboot-nic.c.patch::https://git.ipxe.org/ipxe.git/patch/a5885fbc19c4b60dc1a21624d1a9d1b77a93504e
@@ -325,6 +327,7 @@ c9313a790faa727205627a1657b9bf06 stdint_local.h
c13f954d041a6fa78d0d241ad1780c0b elf_local.h
750138c31ec96d1a11fe0c665ac07e9e xen-hotplug-lockfd.patch
649f77b90978cd2b6d506ac44ec6c393 xen-fd-is-file.c
+b05500e9fdcec5a076ab8817fc313ac3 xenstore_client_transaction_fix.patch
ea983c48b69eea3885627b2c8da8afec patch-gcc6-etherboot-nonnull-compare.patch
c1b73e5b708002b77b50827742c3af09 patch-gcc6-etherboot-rm-unused-string-functions.patch
e10ec3a62e8dc47052b8d8be77520af7 patch-gcc6-etherboot-nic.c.patch
@@ -378,6 +381,7 @@ ac8bbd0b864c7de278fd9b68392b71863581ec21622c2e9b87e501e492e414d3 0001-ipxe-dont
7f1ed2db24d8eba87a08eea0601a9ab339209906fdfa74c8c03564a1a6e6471e elf_local.h
b183ed028a8c42a64e6fd3fb4b2b6dad832f52ed838fceb69bf681de4e7d794f xen-hotplug-lockfd.patch
d0b3e5f282a07878341c38f40d01041ed37623757a99d6e0a420ca64d1f4ef2a xen-fd-is-file.c
+c9691bd43a87a939d9a883279813c405eb5ac428a4f4f89e8eef01fbb4d2d6d1 xenstore_client_transaction_fix.patch
17bb27d95c86af8cc5e499b1b0db9b95bba3f45910d55b420f9f1f5452355fab patch-gcc6-etherboot-nonnull-compare.patch
5d5fe7bf52cbae9da20cfd1fc798699b2355a1af907ebf7f764e227891a759bb patch-gcc6-etherboot-rm-unused-string-functions.patch
9f34f8ecb9a44c688275b838c83efd233bb817f5e222629eac98e116168d704c patch-gcc6-etherboot-nic.c.patch
@@ -431,6 +435,7 @@ a6455988477a29d856924651db5e14f96d835413b956278d2291cbb8e5877d7bf6f462890f607ecf
853467a2d055c5bfbdc7bdca175a334241be44a7c5ac3c0a84a4bc5463b5c070b66d37e2a557429ef860727a6b7350683af758cc2494d85b6be4d883143a2c0d elf_local.h
79cb1b6b81b17cb87a064dfe3548949dfb80f64f203cac11ef327102b7a25794549ce2d9c019ebf05f752214da8e05065e9219d069e679c0ae5bee3d090c685e xen-hotplug-lockfd.patch
e76816c6ad0e91dc5f81947f266da3429b20e6d976c3e8c41202c6179532eec878a3f0913921ef3ac853c5dbad8082da3c9cd53b65081910516feb492577b7fc xen-fd-is-file.c
+69dfa60628ca838678862383528654ecbdf4269cbb5c9cfb6b84d976202a8dea85d711aa65a52fa1b477fb0b30604ca70cf1337192d6fb9388a08bbe7fe56077 xenstore_client_transaction_fix.patch
be0f4d00d0952883f2e0f5cabff4bda9bbfc1ff728389065a7a820875b191cf37890a272d3f9a0398fa86bbad20f6a2c16d2b7f30f3e03d746ee1d72b8ae3614 patch-gcc6-etherboot-nonnull-compare.patch
55cf5ced4ff02d7a94bcdddbfdd0f4894c07991fa0be1829787f9498401340f0da30d2f118f4798c87e6097b13f14e1829cdc8024227ad0a561d5d8e08fc14ac patch-gcc6-etherboot-rm-unused-string-functions.patch
fac0d9c790aa49ded45ab46304dada4d3526e62594dc837e0578ebff6e75d9e87d0451447deb8bc0a82b898e1d414d759bff67b71f84ef20d23655496769c939 patch-gcc6-etherboot-nic.c.patch
diff --git a/main/xen/APKBUILD.orig b/main/xen/APKBUILD.orig
new file mode 100644
index 0000000000..a6733fa978
--- /dev/null
+++ b/main/xen/APKBUILD.orig
@@ -0,0 +1,456 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Contributor: Roger Pau Monne <roger.pau@entel.upc.edu>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=xen
+pkgver=4.7.0
+pkgrel=4
+pkgdesc="Xen hypervisor"
+url="http://www.xen.org/"
+arch="x86_64 armhf"
+license="GPL"
+depends="bash iproute2 logrotate"
+depends_dev="libressl-dev python-dev e2fsprogs-dev gettext zlib-dev ncurses-dev
+ dev86 texinfo perl pciutils-dev glib-dev yajl-dev libnl3-dev
+ spice-dev gnutls-dev curl-dev libaio-dev lzo-dev xz-dev util-linux-dev
+ e2fsprogs-dev linux-headers argp-standalone"
+makedepends="$depends_dev autoconf automake libtool "
+
+# secfixes:
+# 4.7.0-r0:
+# - CVE-2016-6258 XSA-182
+# - CVE-2016-6259 XSA-183
+# - CVE-2016-5403 XSA-184
+# 4.7.0-r1:
+# - CVE-2016-7092 XSA-185
+# - CVE-2016-7093 XSA-186
+# - CVE-2016-7094 XSA-187
+
+case "$CARCH" in
+x86*)
+ depends="$depends syslinux"
+ makedepends="$makedepends iasl seabios-bin"
+ ;;
+arm*)
+ makedepends="$makedepends dtc-dev"
+ ;;
+esac
+
+install=""
+
+if [ "$CARCH" != "armhf" ]; then
+ subpackages="$pkgname-dbg"
+fi
+subpackages="$subpackages $pkgname-doc $pkgname-dev $pkgname-libs $pkgname-hypervisor"
+
+# grep _VERSION= stubdom/configure
+_ZLIB_VERSION="1.2.3"
+_LIBPCI_VERSION="2.2.9"
+_NEWLIB_VERSION="1.16.0"
+_LWIP_VERSION="1.3.0"
+_GRUB_VERSION="0.97"
+_OCAML_VERSION="3.11.0"
+_GMP_VERSION="4.3.2"
+_POLARSSL_VERSION="1.1.4"
+_TPMEMU_VERSION="0.7.4"
+
+# grep ^IPXE_GIT_TAG tools/firmware/etherboot/Makefile
+_IPXE_GIT_TAG=9a93db3f0947484e30e753bbd61a10b17336e20e
+
+source="http://bits.xensource.com/oss-xen/release/$pkgver/$pkgname-$pkgver.tar.gz
+ http://xenbits.xen.org/xen-extfiles/gmp-$_GMP_VERSION.tar.bz2
+ http://xenbits.xen.org/xen-extfiles/grub-$_GRUB_VERSION.tar.gz
+ http://xenbits.xen.org/xen-extfiles/lwip-$_LWIP_VERSION.tar.gz
+ http://xenbits.xen.org/xen-extfiles/newlib-$_NEWLIB_VERSION.tar.gz
+ http://xenbits.xen.org/xen-extfiles/pciutils-$_LIBPCI_VERSION.tar.bz2
+ http://xenbits.xen.org/xen-extfiles/polarssl-$_POLARSSL_VERSION-gpl.tgz
+ http://xenbits.xen.org/xen-extfiles/tpm_emulator-$_TPMEMU_VERSION.tar.gz
+ http://xenbits.xen.org/xen-extfiles/zlib-$_ZLIB_VERSION.tar.gz
+ http://xenbits.xen.org/xen-extfiles/ipxe-git-$_IPXE_GIT_TAG.tar.gz
+
+ xsa182-unstable.patch
+ xsa183-unstable.patch
+ xsa184-qemut-master.patch
+ xsa184-qemuu-master.patch
+ xsa185.patch
+ xsa186-0001-x86-emulate-Correct-boundary-interactions-of-emulate.patch
+ xsa186-4.7-0002-hvm-fep-Allow-testing-of-instructions-crossing-the.patch
+ xsa187-4.7-0001-x86-shadow-Avoid-overflowing-sh_ctxt-seg.patch
+ xsa187-4.7-0002-x86-segment-Bounds-check-accesses-to-emulation-ctx.patch
+
+ qemu-coroutine-gthread.patch
+ qemu-xen_paths.patch
+
+ hotplug-vif-vtrill.patch
+ rombios-no-pie.patch
+ 0001-ipxe-dont-clobber-ebp.patch
+
+ musl-support.patch
+ musl-hvmloader-fix-stdint.patch
+ stdint_local.h
+ elf_local.h
+
+ xen-hotplug-lockfd.patch
+ xen-fd-is-file.c
+
+ patch-gcc6-etherboot-nonnull-compare.patch::https://git.ipxe.org/ipxe.git/patch/e2f14c2f8c10674dbbd4f1228d79dc4c9be213b5
+ patch-gcc6-etherboot-rm-unused-string-functions.patch
+ patch-gcc6-etherboot-nic.c.patch::https://git.ipxe.org/ipxe.git/patch/a5885fbc19c4b60dc1a21624d1a9d1b77a93504e
+ patch-gcc6-etherboot-ath.patch::https://git.ipxe.org/ipxe.git/patch/63037bdce4a325e5e1da85ffcdf27b77ac670c01
+ patch-gcc6-etherboot-sis190.patch::https://git.ipxe.org/ipxe.git/patch/65b32a0b7000f70a5bb1d33190d40f9b04c93172
+ patch-gcc6-etherboot-skge.patch::https://git.ipxe.org/ipxe.git/patch/76ec2a0540b25dbd183b9ce185583a4b24278cf1
+ patch-gcc6-etherboot-via-velocity.c.patch
+ patch-gcc6-etherboot-via-rhine.c.patch
+ patch-gcc6-etherboot-e1000_phy.c.patch
+ patch-gcc6-etherboot-igb_phy.c.patch
+ patch-gcc6-etherboot-ath9k-9287-array.patch
+ patch-gcc6-etherboot-no-pie.patch
+ patch-gcc6-etherboot-link-header.patch::https://git.ipxe.org/ipxe.git/patch/6324bd9389521c7e86384591f41eb78a81e9af47
+ patch-gcc6-etherboot-eth_broadcast.patch::https://git.ipxe.org/ipxe.git/patch/1cbb1581f16e235fafc963c906ad02b38d5457bd
+
+ xenstored.initd
+ xenstored.confd
+ xenconsoled.initd
+ xenconsoled.confd
+ xendomains.initd
+ xendomains.confd
+ xen-consoles.logrotate
+ xenqemu.confd
+ xenqemu.initd
+ "
+
+_builddir="$srcdir"/$pkgname-$pkgver
+_seabios=/usr/share/seabios/bios-256k.bin
+
+# Override wrong arch detection from xen-$pkgver/Config.mk.
+case "$CARCH" in
+armhf) export XEN_TARGET_ARCH="arm32";;
+esac
+
+prepare() {
+ local i _failed= _series=
+ cd "$_builddir"
+
+ for i in $source; do
+ case $i in
+ *-etherboot-*)
+ p=${i%%::*}
+ p=${p##*/}
+ msg "adding to ipxe: $p"
+ cp "$srcdir"/$p tools/firmware/etherboot/patches/
+ echo "$p" >> tools/firmware/etherboot/patches/series
+ ;;
+ *.patch) msg $i; patch -s -N -p1 -i "$srcdir"/$i \
+ || _failed="$_failed $i"
+ ;;
+ */ipxe-git-*)
+ ln -s "$srcdir"/${i##*/} \
+ tools/firmware/etherboot/ipxe.tar.gz || return 1
+ ;;
+ */xen-extfiles/*)
+ ln -s "$srcdir"/${i##*/} stubdom/ || return 1
+ ;;
+ esac
+ done
+ if [ -n "$_failed" ]; then
+ error "Patches failed:"
+ for i in $_failed; do
+ echo $i
+ done
+ return 1
+ fi
+
+ # install our stdint_local.h and elf_local.h
+ install "$srcdir"/stdint_local.h "$srcdir"/elf_local.h \
+ "$_builddir"/tools/firmware/ || return 1
+
+ # remove all -Werror
+ msg "Eradicating -Werror..."
+ find . -name '*.mk' -o -name 'Make*' | xargs sed -i -e 's/-Werror//g' \
+ || return 1
+
+ msg "Updating config.sub..."
+ update_config_sub || return 1
+
+ msg "Autoreconf..."
+ autoreconf || return 1
+
+ unset CFLAGS
+ unset LDFLAGS
+}
+
+# Unset CFLAGS and LDFLAGS because the xen build system
+# doesn't support them. Instead use .config in xen root
+# folder if necessary.
+munge_cflags() {
+ msg "Munging CFLAGS..."
+
+ unset CFLAGS
+ unset LDFLAGS
+ unset LANG
+ unset LC_ALL
+
+ case "$CARCH" in
+ armhf) export CFLAGS="-mcpu=cortex-a15";;
+ esac
+}
+
+# These tasks are added as separate tasks to enable a packager
+# to invoke specific tasks like building the hypervisor. i.e.
+# $ abuild configure build_tools
+configure() {
+ cd "$_builddir"
+
+ msg "Running configure..."
+ ./configure --prefix=/usr \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --with-system-seabios=$_seabios \
+ || return 1
+}
+
+build_hypervisor() {
+ munge_cflags
+
+ msg "Building hypervisor..."
+ make xen || return 1
+}
+
+build_tools() {
+ munge_cflags
+
+ msg "Building tools..."
+ make tools || return 1
+}
+
+build_docs() {
+ munge_cflags
+
+ msg "Building documentation..."
+ make docs || return 1
+}
+
+build_stubdom() {
+ munge_cflags
+
+ msg "Building stub domains..."
+ make stubdom || return 1
+}
+
+build() {
+ cd "$_builddir"
+ configure || return 1
+ build_hypervisor || return 1
+ build_tools || return 1
+ build_docs || return 1
+ case "$CARCH" in
+ x86*) build_stubdom || return 1;;
+ esac
+
+ ${CC:-gcc} -o xen-fd-is-file "$srcdir"/xen-fd-is-file.c
+}
+
+package() {
+ cd "$_builddir"
+
+ unset CFLAGS
+ unset LDFLAGS
+
+ make -j1 DESTDIR="$pkgdir" install-xen install-tools install-docs \
+ || return 1
+ case "$CARCH" in
+ x86*) make -j1 DESTDIR="$pkgdir" install-stubdom || return 1;;
+ esac
+
+ # remove default xencommons
+ rm -rf "$pkgdir"/etc/init.d/xencommons
+
+ for i in $source; do
+ case $i in
+ *.initd) install -Dm755 "$srcdir"/$i \
+ "$pkgdir"/etc/init.d/${i%.*};;
+ *.confd) install -Dm644 "$srcdir"/$i \
+ "$pkgdir"/etc/conf.d/${i%.*};;
+ esac
+ done
+ install -Dm644 "$srcdir"/xen-consoles.logrotate \
+ "$pkgdir"/etc/xen/xen-consoles.logrotate
+
+ install -m755 xen-fd-is-file "$pkgdir"/usr/lib/xen/bin/xen-fd-is-file
+}
+
+libs() {
+ pkgdesc="Libraries for Xen tools"
+ replaces="xen"
+ depends=
+ mkdir -p "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/*.so.* \
+ "$pkgdir"/usr/lib/fs \
+ "$subpkgdir"/usr/lib/
+}
+
+hypervisor() {
+ pkgdesc="Xen hypervisor"
+ depends=
+ mkdir -p "$subpkgdir"
+ mv "$pkgdir"/boot "$subpkgdir"/
+}
+
+md5sums="3aa4e01bf37a3a5bc8572907cb88e649 xen-4.7.0.tar.gz
+dd60683d7057917e34630b4a787932e8 gmp-4.3.2.tar.bz2
+cd3f3eb54446be6003156158d51f4884 grub-0.97.tar.gz
+36cc57650cffda9a0269493be2a169bb lwip-1.3.0.tar.gz
+bf8f1f9e3ca83d732c00a79a6ef29bc4 newlib-1.16.0.tar.gz
+cec05e7785497c5e19da2f114b934ffd pciutils-2.2.9.tar.bz2
+7b72caf22b01464ee7d6165f2fd85f44 polarssl-1.1.4-gpl.tgz
+e26becb8a6a2b6695f6b3e8097593db8 tpm_emulator-0.7.4.tar.gz
+debc62758716a169df9f62e6ab2bc634 zlib-1.2.3.tar.gz
+7496268cebf47d5c9ccb0696e3b26065 ipxe-git-9a93db3f0947484e30e753bbd61a10b17336e20e.tar.gz
+d162fdb5a2def649a18e377dfb8c618e xsa182-unstable.patch
+4e89035687d1fcdabe34610f947871ae xsa183-unstable.patch
+95bc220677fc2bb9a3df4dc14a0b31f6 xsa184-qemut-master.patch
+cc0904605d03a9e4f6f21d16824e41c9 xsa184-qemuu-master.patch
+8ae22c70681f3daf97ee7ef8ad947e76 xsa185.patch
+9a2b74f2079ba0b7a6e2420e6887cc3a xsa186-0001-x86-emulate-Correct-boundary-interactions-of-emulate.patch
+7849473e564a01b348d9f60a53fefe65 xsa186-4.7-0002-hvm-fep-Allow-testing-of-instructions-crossing-the.patch
+c426383254acdcbb9466bbec2d6f8d9b xsa187-4.7-0001-x86-shadow-Avoid-overflowing-sh_ctxt-seg.patch
+ed2ad5eaaa275dd64f9fdca3ef8a5ca7 xsa187-4.7-0002-x86-segment-Bounds-check-accesses-to-emulation-ctx.patch
+de1a3db370b87cfb0bddb51796b50315 qemu-coroutine-gthread.patch
+08bfdf8caff5d631f53660bf3fd4edaf qemu-xen_paths.patch
+e449bb3359b490804ffc7b0ae08d62a0 hotplug-vif-vtrill.patch
+5fab5487fe92fa29302db9ccb04af564 rombios-no-pie.patch
+3a04998db5cc3c5c86f3b46e97e9cd82 0001-ipxe-dont-clobber-ebp.patch
+0984e3000de17a6d14b8014a3ced46a4 musl-support.patch
+513456607a2adfaa0baf1e3ae5124b23 musl-hvmloader-fix-stdint.patch
+c9313a790faa727205627a1657b9bf06 stdint_local.h
+c13f954d041a6fa78d0d241ad1780c0b elf_local.h
+750138c31ec96d1a11fe0c665ac07e9e xen-hotplug-lockfd.patch
+649f77b90978cd2b6d506ac44ec6c393 xen-fd-is-file.c
+ea983c48b69eea3885627b2c8da8afec patch-gcc6-etherboot-nonnull-compare.patch
+c1b73e5b708002b77b50827742c3af09 patch-gcc6-etherboot-rm-unused-string-functions.patch
+e10ec3a62e8dc47052b8d8be77520af7 patch-gcc6-etherboot-nic.c.patch
+78433fdb5ed0d9f71a1d2b8103a886c9 patch-gcc6-etherboot-ath.patch
+83b0416745dffdfedec8caab7d20b758 patch-gcc6-etherboot-sis190.patch
+24ece1158115e508e6a5db0a086f065c patch-gcc6-etherboot-skge.patch
+465ca7d4841fe34b7b4d9d99257cd092 patch-gcc6-etherboot-via-velocity.c.patch
+b136a8d31272eec48c766065bba260ca patch-gcc6-etherboot-via-rhine.c.patch
+ef2d246f23e5ca152a4057617041bac6 patch-gcc6-etherboot-e1000_phy.c.patch
+05b86753c6e6ca90af038b499fd564f0 patch-gcc6-etherboot-igb_phy.c.patch
+74a5f930491bbc4333c84fff36029a1c patch-gcc6-etherboot-ath9k-9287-array.patch
+567de70c3355c9724ebfdb02d7806435 patch-gcc6-etherboot-no-pie.patch
+4ae9e861dc0a9b1873236399ba8cff6d patch-gcc6-etherboot-link-header.patch
+ce606e447bc4884dffc59080cd10acfd patch-gcc6-etherboot-eth_broadcast.patch
+4aeda68bf5b168019762fcf6edb661d3 xenstored.initd
+d86504e12f05deca6b3eeeb90157160e xenstored.confd
+d1dd5fc9a8b00f7373d789f9b5a605b9 xenconsoled.initd
+ec2252c72050d7d5870a3a629b873ba6 xenconsoled.confd
+e155d7992ddbb5b0df6148f4cc21c7c6 xendomains.initd
+dcdd1de2c29e469e834a02ede4f47806 xendomains.confd
+9df68ac65dc3f372f5d61183abdc83ff xen-consoles.logrotate
+6a2f777c16678d84039acf670d86fff6 xenqemu.confd
+e1c9e1c83a5cc49224608a48060bd677 xenqemu.initd"
+sha256sums="be5876144d49729572ae06142e0bb93f1c1f2695578141eff2931995add24623 xen-4.7.0.tar.gz
+936162c0312886c21581002b79932829aa048cfaf9937c6265aeaa14f1cd1775 gmp-4.3.2.tar.bz2
+4e1d15d12dbd3e9208111d6b806ad5a9857ca8850c47877d36575b904559260b grub-0.97.tar.gz
+772e4d550e07826665ed0528c071dd5404ef7dbe1825a38c8adbc2a00bca948f lwip-1.3.0.tar.gz
+db426394965c48c1d29023e1cc6d965ea6b9a9035d8a849be2750ca4659a3d07 newlib-1.16.0.tar.gz
+f60ae61cfbd5da1d849d0beaa21f593c38dac9359f0b3ddc612f447408265b24 pciutils-2.2.9.tar.bz2
+2d29fd04a0d0ba29dae6bd29fb418944c08d3916665dcca74afb297ef37584b6 polarssl-1.1.4-gpl.tgz
+4e48ea0d83dd9441cc1af04ab18cd6c961b9fa54d5cbf2c2feee038988dea459 tpm_emulator-0.7.4.tar.gz
+1795c7d067a43174113fdf03447532f373e1c6c57c08d61d9e4e9be5e244b05e zlib-1.2.3.tar.gz
+632ce8c193ccacc3012bd354bdb733a4be126f7c098e111930aa41dad537405c ipxe-git-9a93db3f0947484e30e753bbd61a10b17336e20e.tar.gz
+303400b9a832a3c1d423cc2cc97c2f00482793722f9ef7dd246783a049ac2792 xsa182-unstable.patch
+ea0ea4b294332814330f222e6d78eea3b19c394eac8ae22feb4a5bd21e90331f xsa183-unstable.patch
+88c939c64b8f9fc9f86d0a30517d5455462d1ff837aa4285a9cb189b54c0cf20 xsa184-qemut-master.patch
+3877e19992c4532b8b2a37e151fe6a6187a1bbee2b54c1718b995260bb0fcf65 xsa184-qemuu-master.patch
+3328a1953ecdf4de35462ea8396b0927171d718e95f73a87a7f651427bd8f8b4 xsa185.patch
+f2082a36d968a47e477bb5082d0e0aaa58e6cb3dc20b26389f043a9b7b595fa6 xsa186-0001-x86-emulate-Correct-boundary-interactions-of-emulate.patch
+5a826a32763d82ac83c924f8c89d12aae5f069a4cbc7d5193aa8413a02b6dc05 xsa186-4.7-0002-hvm-fep-Allow-testing-of-instructions-crossing-the.patch
+be9fe85d36c2c1fbca246c1f4d834c3ef11b6ab3d5467da0ac8c079aa5a68de9 xsa187-4.7-0001-x86-shadow-Avoid-overflowing-sh_ctxt-seg.patch
+36b22d6a168be39f31a1c1304f708269a2a10fe5105f7da4a06877d6059f1cd6 xsa187-4.7-0002-x86-segment-Bounds-check-accesses-to-emulation-ctx.patch
+3941f99b49c7e8dafc9fae8aad2136a14c6d84533cd542cc5f1040a41ef7c6fe qemu-coroutine-gthread.patch
+e4e5e838e259a3116978aabbcebc1865a895179a7fcbf4bad195c83e9b4c0f98 qemu-xen_paths.patch
+dd1e784bc455eb62cb85b3fa24bfc34f575ceaab9597ef6a2f1ee7ff7b3cae0a hotplug-vif-vtrill.patch
+74cb62a4614dd042ea9169112fb677bfef751a760aae34c7e73391fa857a8429 rombios-no-pie.patch
+ac8bbd0b864c7de278fd9b68392b71863581ec21622c2e9b87e501e492e414d3 0001-ipxe-dont-clobber-ebp.patch
+2fea4ceec8872f5560023fa135e3ff03d6deee4299e53d3a33ec59c31779b2c5 musl-support.patch
+479b9605e85c865be6117b6d1993124dbbb7da7f95d0e896e4c0fe5cdfeb74d3 musl-hvmloader-fix-stdint.patch
+6b4ad2a9fdb3e23b06c8c1961a46b06c15a46471fe6fb13cdc269da37466f334 stdint_local.h
+7f1ed2db24d8eba87a08eea0601a9ab339209906fdfa74c8c03564a1a6e6471e elf_local.h
+b183ed028a8c42a64e6fd3fb4b2b6dad832f52ed838fceb69bf681de4e7d794f xen-hotplug-lockfd.patch
+d0b3e5f282a07878341c38f40d01041ed37623757a99d6e0a420ca64d1f4ef2a xen-fd-is-file.c
+17bb27d95c86af8cc5e499b1b0db9b95bba3f45910d55b420f9f1f5452355fab patch-gcc6-etherboot-nonnull-compare.patch
+5d5fe7bf52cbae9da20cfd1fc798699b2355a1af907ebf7f764e227891a759bb patch-gcc6-etherboot-rm-unused-string-functions.patch
+9f34f8ecb9a44c688275b838c83efd233bb817f5e222629eac98e116168d704c patch-gcc6-etherboot-nic.c.patch
+cdf7c4a089fe1fe493aafaf669decc3c9e071a0950da77dce526c09088d1c931 patch-gcc6-etherboot-ath.patch
+32595581467772b9fa0fbb5384c99caefeb2cee3306b94b9bd2722084454f5a2 patch-gcc6-etherboot-sis190.patch
+c73d1653b9b1d97ddce717817dc74429cd94c7b22989a08604eaa60df63f75f8 patch-gcc6-etherboot-skge.patch
+448caed900ada2c030738218f5b82f5e29d9dc2e1beef9ebd49cbeb23734df0d patch-gcc6-etherboot-via-velocity.c.patch
+61b1518c8d41792ec3b36e0fbfc265adb6c9304945a6fa18d6cc5a197e34b94f patch-gcc6-etherboot-via-rhine.c.patch
+577f06e38a9ecbd3576907f2ba1c5040f4f1573fe92912635230702ad157b2e7 patch-gcc6-etherboot-e1000_phy.c.patch
+80a24e9504d3893e83dc60550ffe364a873aaf3dafb52dcdade13f61f2ec0ee5 patch-gcc6-etherboot-igb_phy.c.patch
+a15d73e0fb51fe3c1cf8b80a5ff17d532444016d14495d90d9e642ec60f320a6 patch-gcc6-etherboot-ath9k-9287-array.patch
+2269932e8645c11e7fe60eeb6e0720841c2b5ddac2e6965ead1527d3e5924ee9 patch-gcc6-etherboot-no-pie.patch
+cace870b6629003b55d9df9ef24f3445067239b913c006b6e23da511c1a21d78 patch-gcc6-etherboot-link-header.patch
+be05ccd8975af402dcba3a3dc78c173319b2edd636bac11ac11163091453b704 patch-gcc6-etherboot-eth_broadcast.patch
+90a8fc315bfe305581b3873890b1c1c8da6f62b5d06b73b79bac7a74671bbb07 xenstored.initd
+991bb7c9da02941556e29714bd96b26e39e57e0a5b514eadd78d9bfa3fa5a9dc xenstored.confd
+d13719093a2c3824525f36ac91ac3c9bd1154e5ba0974e5441e4a2ab5e883521 xenconsoled.initd
+2a74be03eb74f6013242a4a5d721df6cb9b959b43c405de1e32813f52d749060 xenconsoled.confd
+5fb0fc4a1ac8b139bb31b03f86b5c170050b93ea11a2f5b962d383d277ee815c xendomains.initd
+046540c36328809fc351ad209d2b40300f91581d6d46da0caf79f57f2c212285 xendomains.confd
+0da87a4b9094f934e3de937e8ef8d3afc752e76793aa3d730182d0241e118b19 xen-consoles.logrotate
+4cfcddcade5d055422ab4543e8caa6e5c5eee7625c41880a9000b7a87c7c424e xenqemu.confd
+c92bbb1166edd61141fdf678116974209c4422daf373cdd5bc438aa4adb25b8d xenqemu.initd"
+sha512sums="2c52c8ef145dfab7d069e79318d5d631e1106a0ddc79d88b3bacf36c7f15cea67dccb704a245e785d2a1e42c6fb6c0ad74832f564aaeec025ad7b864031f0921 xen-4.7.0.tar.gz
+2e0b0fd23e6f10742a5517981e5171c6e88b0a93c83da701b296f5c0861d72c19782daab589a7eac3f9032152a0fc7eff7f5362db8fccc4859564a9aa82329cf gmp-4.3.2.tar.bz2
+c2bc9ffc8583aeae71cee9ddcc4418969768d4e3764d47307da54f93981c0109fb07d84b061b3a3628bd00ba4d14a54742bc04848110eb3ae8ca25dbfbaabadb grub-0.97.tar.gz
+1465b58279af1647f909450e394fe002ca165f0ff4a0254bfa9fe0e64316f50facdde2729d79a4e632565b4500cf4d6c74192ac0dd3bc9fe09129bbd67ba089d lwip-1.3.0.tar.gz
+40eb96bbc6736a16b6399e0cdb73e853d0d90b685c967e77899183446664d64570277a633fdafdefc351b46ce210a99115769a1d9f47ac749d7e82837d4d1ac3 newlib-1.16.0.tar.gz
+2b3d98d027e46d8c08037366dde6f0781ca03c610ef2b380984639e4ef39899ed8d8b8e4cd9c9dc54df101279b95879bd66bfd4d04ad07fef41e847ea7ae32b5 pciutils-2.2.9.tar.bz2
+88da614e4d3f4409c4fd3bb3e44c7587ba051e3fed4e33d526069a67e8180212e1ea22da984656f50e290049f60ddca65383e5983c0f8884f648d71f698303ad polarssl-1.1.4-gpl.tgz
+4928b5b82f57645be9408362706ff2c4d9baa635b21b0d41b1c82930e8c60a759b1ea4fa74d7e6c7cae1b7692d006aa5cb72df0c3b88bf049779aa2b566f9d35 tpm_emulator-0.7.4.tar.gz
+021b958fcd0d346c4ba761bcf0cc40f3522de6186cf5a0a6ea34a70504ce9622b1c2626fce40675bc8282cf5f5ade18473656abc38050f72f5d6480507a2106e zlib-1.2.3.tar.gz
+c5cb1cdff40d2d71fd3e692a9d0efadf2aa17290daf5195391a1c81ddd9dfc913a8e44d5be2b12be85b2a5565ea31631c99c7053564f2fb2225c80ea0bb0e4a4 ipxe-git-9a93db3f0947484e30e753bbd61a10b17336e20e.tar.gz
+e0a195ca377be7e4d584eff451d7b077406f54ca64c94b1515a4b23318fed33880da759144237de3be4abc92572037c8f5119b6b70ffc26a1872a771d769b8b2 xsa182-unstable.patch
+a5c23c5ecc6c01875da2c0791c3d62334f3709dff12cb6a1b7a486778da7604994b610a6fc1fb12a46aca409b833c1f37ca704006cd52a283f1ead66a4d9af2a xsa183-unstable.patch
+14c07d077a9d60a03859ca1b92347517c93faf88db06f8cb0515e486a3919afa8401203161ff671dda8fbdb64e6ca5e86120f1b8f65e6bfaa63a8c6a33211bad xsa184-qemut-master.patch
+862e00d9cd126f8323f9c9706bf6ce7896d97e68e647416c699d9f2e01b88083a5fea346b13403577311384946912123f64bf5a568f1a6f92077d28923df54c6 xsa184-qemuu-master.patch
+6b774cfef049d457d89149a973b5a5af674b995726c88ce09278f4a64cb94f5b3c2c2380a6273475a13eb9cdd972f5429f393247ecca6463f6068d606ea74886 xsa185.patch
+bf899dde20cee730598b90e0a07941155b20e0ea17b9a3017a53bd0e1495fb6e5dc251934e01d02937b56ad65faf3accecf695b4fd7f6dcc0bae91290bd87b19 xsa186-0001-x86-emulate-Correct-boundary-interactions-of-emulate.patch
+8e2a6c32aeb7cfb6ffa4395709ea849850d4c356dce139857a6783310b2efb47a01b1cf946b890264f7db543c5304830f64b5e40563c72318391569986146ab7 xsa186-4.7-0002-hvm-fep-Allow-testing-of-instructions-crossing-the.patch
+d85bc3c56805ff5b3df6b85b2b34ff97d15fe254fc5a873b5c43c2c15564eea42753723a6296292a543e7b7dc83ad71f0fafe01fa6a6ebf82fa0a7268fc67486 xsa187-4.7-0001-x86-shadow-Avoid-overflowing-sh_ctxt-seg.patch
+f60b51de992225ea6f48ad108c18717fb84a6f3c7cc3a3d567a1799403eefdc965c1ec4ccb9190affa58f81c48f13525a86144b04674b42732c8bdcad6084ff2 xsa187-4.7-0002-x86-segment-Bounds-check-accesses-to-emulation-ctx.patch
+c3c46f232f0bd9f767b232af7e8ce910a6166b126bd5427bb8dc325aeb2c634b956de3fc225cab5af72649070c8205cc8e1cab7689fc266c204f525086f1a562 qemu-coroutine-gthread.patch
+1936ab39a1867957fa640eb81c4070214ca4856a2743ba7e49c0cd017917071a9680d015f002c57fa7b9600dbadd29dcea5887f50e6c133305df2669a7a933f3 qemu-xen_paths.patch
+f095ea373f36381491ad36f0662fb4f53665031973721256b23166e596318581da7cbb0146d0beb2446729adfdb321e01468e377793f6563a67d68b8b0f7ffe3 hotplug-vif-vtrill.patch
+71d0ebcda62259a1bf056807363015f2370f12daa5774f16150da42cba66bb5b65ec82f1f806fe147346560aa4d0e78bc5b5d8ae9f7e82d0aabae9d63fc876f6 rombios-no-pie.patch
+a6455988477a29d856924651db5e14f96d835413b956278d2291cbb8e5877d7bf6f462890f607ecf1c7b4003997295d0ba7852e110fc20df3a3edf1845e778ba 0001-ipxe-dont-clobber-ebp.patch
+76bd60768b296752ca11195bb03a57584686461da45255cb540977111a73c42b5b92362fd46d97bfd20487c96971dd5aed7eae7d8bf1aad7d5199adb875d4962 musl-support.patch
+08cf7fac825dd3da5f33856abf6692da00d8928ab73050b3ae0a643ddb97c8ae323238a80152fd31595ac1c31678d559232264258c189e2c05ecaf33e295f13e musl-hvmloader-fix-stdint.patch
+9dcb481c5b83c7df23e87be717d8a9234014f26a0f80893e125fe8110e2923562d95162d18ff64c08b5782cd7c085f90378a9e0802b3995c077c8ba32bbb669f stdint_local.h
+853467a2d055c5bfbdc7bdca175a334241be44a7c5ac3c0a84a4bc5463b5c070b66d37e2a557429ef860727a6b7350683af758cc2494d85b6be4d883143a2c0d elf_local.h
+79cb1b6b81b17cb87a064dfe3548949dfb80f64f203cac11ef327102b7a25794549ce2d9c019ebf05f752214da8e05065e9219d069e679c0ae5bee3d090c685e xen-hotplug-lockfd.patch
+e76816c6ad0e91dc5f81947f266da3429b20e6d976c3e8c41202c6179532eec878a3f0913921ef3ac853c5dbad8082da3c9cd53b65081910516feb492577b7fc xen-fd-is-file.c
+be0f4d00d0952883f2e0f5cabff4bda9bbfc1ff728389065a7a820875b191cf37890a272d3f9a0398fa86bbad20f6a2c16d2b7f30f3e03d746ee1d72b8ae3614 patch-gcc6-etherboot-nonnull-compare.patch
+55cf5ced4ff02d7a94bcdddbfdd0f4894c07991fa0be1829787f9498401340f0da30d2f118f4798c87e6097b13f14e1829cdc8024227ad0a561d5d8e08fc14ac patch-gcc6-etherboot-rm-unused-string-functions.patch
+fac0d9c790aa49ded45ab46304dada4d3526e62594dc837e0578ebff6e75d9e87d0451447deb8bc0a82b898e1d414d759bff67b71f84ef20d23655496769c939 patch-gcc6-etherboot-nic.c.patch
+4a47a6b3f0fa1061aaa7a3cecd8bc39d7200eac1861189bcb3f9aa82eec68272bc9b7e861f787f0edb894edf0e17cafdc3a5e53924893fec48c7269a129aac5b patch-gcc6-etherboot-ath.patch
+3c5a8a05e73e688993438196c0d799f2a9d41d7f092722a42ddbb420c464f54cf870e071b71b0c1e0e96a0b934ae229bb7dff16ca0538c1ceebe7e44c51f374b patch-gcc6-etherboot-sis190.patch
+d4de0c94b850b886ceaa519d327fbfb80028147395694a31aed76de1a6f4ea001a356f11fb833c963b3934268313611193e21c615273cbc99c9911b847ca0233 patch-gcc6-etherboot-skge.patch
+4676979566c78d8f8dc46083dd2959bd871fdc5e790ec0846f47cd74f6740117e217a1b382d03302965769afcdf3f299ec9abd584b27430c4ed69e6776081194 patch-gcc6-etherboot-via-velocity.c.patch
+be4a3f48a7a3de745693ef1b8d1ab487ee3d8d7ed1b2e98ed94af7d52fb1db2fd724f8fada267a5ef9caa41721431e0e66d18d9cfc6557bfb8a1f95f44eeba68 patch-gcc6-etherboot-via-rhine.c.patch
+1bec93daf9c2df4904828f6473c64a46d2da1401b6aac5c33b1c411f8bfc0be119109db7c6582bb38aa178a28a3401072cac2636f1c631392fcffeed88bc0950 patch-gcc6-etherboot-e1000_phy.c.patch
+78093aa78c4711001adef6f29588535ca000931bcfca7c247d5ff4ef24eff2a553919ec5bae2f7d40236513d3bfa04e3baf20fdba5cd1ce8bd4957b8deebeb3c patch-gcc6-etherboot-igb_phy.c.patch
+cca8b3230d33261efffb30cfc42661a6ec09433e3aa80d50710112d73c6b45c81dc0fa259072dc42ca31c5cec8ceca84b0a4f44ed85716f2e2d3287ddc84b7ec patch-gcc6-etherboot-ath9k-9287-array.patch
+a87f907b193203d6710515d48fb88dfd1c22ec4ca4a710822f1327df9902e4d66552208bc6b1c7fbd1816946edeccb3ffb374397b3e5b629be1b130bb763315e patch-gcc6-etherboot-no-pie.patch
+3126cdc1338d14338b56defddb96e99a12aff0f847365386a89fd54469ed08e17abbb10827ce08ca515895c6b50c37d189b1f84712de938ce0db2f8817c1de6e patch-gcc6-etherboot-link-header.patch
+44561a76fa7abab4dd9c150d4b14c83432fea1813c5455f7321f71b28ece47f56002fae6bec25c5d63259a961136dfd29c4ac4d9649a0a7b3b5dbcd5b62fc111 patch-gcc6-etherboot-eth_broadcast.patch
+52c43beb2596d645934d0f909f2d21f7587b6898ed5e5e7046799a8ed6d58f7a09c5809e1634fa26152f3fd4f3e7cfa07da7076f01b4a20cc8f5df8b9cb77e50 xenstored.initd
+093f7fbd43faf0a16a226486a0776bade5dc1681d281c5946a3191c32d74f9699c6bf5d0ab8de9d1195a2461165d1660788e92a3156c9b3c7054d7b2d52d7ff0 xenstored.confd
+3c86ed48fbee0af4051c65c4a3893f131fa66e47bf083caf20c9b6aa4b63fdead8832f84a58d0e27964bc49ec8397251b34e5be5c212c139f556916dc8da9523 xenconsoled.initd
+30df69cc38d0bed26bc4d6e08a2b62cbdc654d5f663009a05cb3b83b3e3dc5e206362d3fd59abbb753ceb8d6d79eaa6e15d079bb8f4f35dc74667103faf4e85d xenconsoled.confd
+b1037fdf2fe477e153f7e9408e34943a8e8ca4e5518e6b0513137f95f3abbcbb20acb1de37c875825a1d4a30b2506290ec76b8c9fb183db6b4b0e1cffe329ca5 xendomains.initd
+a3dddcb841a22305cfe1780c4ef6cf1ee67227ca9fe6ca0d24a7cc8be2cff9e5f3fbd75c2faf85e5ce6dc3b73631879ce10e19b02afb4611c72db183e116123a xendomains.confd
+ab2105c75cfe01768aecd5bcbb56269d63666e8a44e42b6a83aee87df6c84ee2f9ab249171c21b2e09f8fec2cae8318f6e87d160989398a3e7dd68db8d52c426 xen-consoles.logrotate
+bdbe15c924071cdc2d0f23e53ba8e3f837d4b5369bfb218abd3405f9bef25d105269aaf0784baeb69c073a5786b8c82ffdfd414e86874da34293cfdc2c497928 xenqemu.confd
+8475119369409efb8ad930c7735cd3d782191d18fab4fc322a51120c395162ff88e381182876036d1078afd30079dbf3f94a3568689e9b52ba235adead4b97d3 xenqemu.initd"
diff --git a/main/xen/xenstore_client_transaction_fix.patch b/main/xen/xenstore_client_transaction_fix.patch
new file mode 100644
index 0000000000..134fc7fa66
--- /dev/null
+++ b/main/xen/xenstore_client_transaction_fix.patch
@@ -0,0 +1,144 @@
+--- xen-4.7.0-orig/tools/xenstore/xenstore_client.c 2016-06-20 12:38:15.000000000 +0200
++++ xen-4.7.0/tools/xenstore/xenstore_client.c 2016-10-05 03:16:39.372927512 +0200
+@@ -126,7 +126,7 @@
+
+ #define MIN(a, b) (((a) < (b))? (a) : (b))
+
+-static void do_ls(struct xs_handle *h, char *path, int cur_depth, int show_perms)
++static void do_ls(struct xs_handle *h, xs_transaction_t xth, char *path, int cur_depth, int show_perms)
+ {
+ char **e;
+ char *newpath, *val;
+@@ -135,12 +135,14 @@
+ unsigned int num, len;
+
+ newpath = malloc(STRING_MAX);
+- if (!newpath)
++ if (!newpath) {
+ err(1, "malloc in do_ls");
++ }
+
+- e = xs_directory(h, XBT_NULL, path, &num);
+- if (e == NULL)
++ e = xs_directory(h, xth, path, &num);
++ if (e == NULL) {
+ err(1, "xs_directory (%s)", path);
++ }
+
+ for (i = 0; i<num; i++) {
+ char buf[MAX_STRLEN(unsigned int)+1];
+@@ -167,7 +169,7 @@
+
+ /* Fetch value */
+ if ( newpath_len < STRING_MAX ) {
+- val = xs_read(h, XBT_NULL, newpath, &len);
++ val = xs_read(h, xth, newpath, &len);
+ }
+ else {
+ /* Path was truncated and thus invalid */
+@@ -200,7 +202,7 @@
+ free(val);
+
+ if (show_perms) {
+- perms = xs_get_permissions(h, XBT_NULL, newpath, &nperms);
++ perms = xs_get_permissions(h, xth, newpath, &nperms);
+ if (perms == NULL) {
+ warn("\ncould not access permissions for %s", e[i]);
+ }
+@@ -219,7 +221,7 @@
+
+ putchar('\n');
+
+- do_ls(h, newpath, cur_depth+1, show_perms);
++ do_ls(h, xth, newpath, cur_depth+1, show_perms);
+ }
+ free(e);
+ free(newpath);
+@@ -417,7 +419,7 @@
+ break;
+ }
+ case MODE_ls: {
+- do_ls(xsh, argv[optind], 0, prefix);
++ do_ls(xsh, xth, argv[optind], 0, prefix);
+ optind++;
+ break;
+ }
+@@ -505,7 +507,6 @@
+ int upto = 0;
+ int recurse = 0;
+ int nr_watches = -1;
+- int transaction;
+ struct winsize ws;
+ enum mode mode;
+
+@@ -612,43 +613,28 @@
+ }
+ }
+
+- switch (mode) {
+- case MODE_read:
+- transaction = (argc - switch_argv - optind) > 1;
+- break;
+- case MODE_write:
+- transaction = (argc - switch_argv - optind) > 2;
+- break;
+- case MODE_ls:
+- case MODE_watch:
+- transaction = 0;
+- break;
+- default:
+- transaction = 1;
+- break;
+- }
+-
+- if ( mode == MODE_ls )
+- {
++ if ( mode == MODE_ls ) {
+ memset(&ws, 0, sizeof(ws));
+ ret = ioctl(STDOUT_FILENO, TIOCGWINSZ, &ws);
+- if (!ret)
++ if (!ret) {
+ max_width = ws.ws_col - 2;
+ }
++ }
+
+ xsh = xs_open(socket ? XS_OPEN_SOCKETONLY : 0);
+- if (xsh == NULL) err(1, "xs_open");
++ if (xsh == NULL) {
++ err(1, "xs_open");
++ }
+
+ again:
+- if (transaction) {
+ xth = xs_transaction_start(xsh);
+- if (xth == XBT_NULL)
++ if (xth == XBT_NULL) {
+ errx(1, "couldn't start transaction");
+ }
+
+ ret = perform(mode, optind, argc - switch_argv, argv + switch_argv, xsh, xth, prefix, tidy, upto, recurse, nr_watches);
+
+- if (transaction && !xs_transaction_end(xsh, xth, ret)) {
++ if (!xs_transaction_end(xsh, xth, ret)) {
+ if (ret == 0 && errno == EAGAIN) {
+ output_pos = 0;
+ goto again;
+@@ -656,14 +642,16 @@
+ errx(1, "couldn't end transaction");
+ }
+
+- if (output_pos)
++ if (output_pos) {
+ printf("%s", output_buf);
++ }
+
+ free(output_buf);
+ free(ebuf.buf);
+
+- if (xsh)
++ if (xsh) {
+ xs_close(xsh);
++ }
+
+ return ret;
+ }